TextPrefix Example |
Using Programming Languages other than VBA
Sub Example_TextPrefix() ' This example creates an aligned dimension in model space and ' uses TextPrefix to allow the user to change the text prefix for the ' dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim prefix As String ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Allow the user to change the text prefix for the dimension prefix = InputBox("Enter a new text prefix for the dimension", "Set Dimension Prefix", "PREFIX:") dimObj.TextPrefix = prefix ' Commit changes to prefix ThisDrawing.Regen acAllViewports ' Read back and display the dimension text prefix prefix = dimObj.TextPrefix If prefix <> "" Then MsgBox "The prefix of the dimension has been changed to: " & prefix Else MsgBox "The prefix of the dimension has been removed" End If End Sub
Comments? |